aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2020-06-21 15:38:13 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2020-06-21 15:38:13 -0700
commit94a07a953b6e9f358c0df0aa32adab9ed4dbe4cb (patch)
tree054e969e9689769e4c3b3126f58f304873456b01
parentbin/docker-setup: correct Docker context start (diff)
downloadwww-94a07a953b6e9f358c0df0aa32adab9ed4dbe4cb.tar.gz
www-94a07a953b6e9f358c0df0aa32adab9ed4dbe4cb.tar.bz2
www-94a07a953b6e9f358c0df0aa32adab9ed4dbe4cb.zip
bin/build-incremental: add fast incremental build mode
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-rwxr-xr-xbin/build-incremental.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/build-incremental.sh b/bin/build-incremental.sh
new file mode 100755
index 0000000..73f6fbc
--- /dev/null
+++ b/bin/build-incremental.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+source "$(dirname "$0")"/docker-helper.inc
+# Run the actual build process, with no networking permitted
+docker_run_net_none jekyll build --incremental